io.milvus.param.credential

## Class CreateCredentialParam.Builder

- java.lang.Object
- - io.milvus.param.credential.CreateCredentialParam.Builder

Enclosing class:
  CreateCredentialParam

    public static final class CreateCredentialParam.Builder
    extends java.lang.Object

Builder for `CreateCredentialParam` class.

### Method Summary

All Methods Instance Methods Concrete Methods
`CreateCredentialParam` `build()` Verifies parameters and creates a new `CreateCredentialParam` instance.
`CreateCredentialParam.Builder` `withPassword(@NonNull java.lang.String password)` Sets the password.
`CreateCredentialParam.Builder` `withUsername(@NonNull java.lang.String username)` Sets the username.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### withUsername

    public CreateCredentialParam.Builder withUsername(@NonNull
                                                      @NonNull java.lang.String username)

Sets the username. Username cannot be empty or null.

Parameters:
  `username` - username
Returns:
  `Builder`

#### withPassword

    public CreateCredentialParam.Builder withPassword(@NonNull
                                                      @NonNull java.lang.String password)

Sets the password. Password cannot be empty or null.

Parameters:
  `password` - password
Returns:
  `Builder`

#### build

    public CreateCredentialParam build()
                                throws ParamException

Verifies parameters and creates a new `CreateCredentialParam` instance.

Returns:
  `CreateCredentialParam`
Throws:
  `ParamException`